import request from '@/utils/request'

// 查询成品生产入库列表
export function listPut(query) {
	return request({
		url: '/wms/put/list',
		method: 'get',
		params: query
	});
}

// 查询成品生产入库详细
export function getPut(id) {
	return request({
		url: '/wms/put/' + id,
		method: 'get'
		});
}

// 新增成品生产入库
export function addPut(data) {
	return request({
		url: '/wms/put',
		method: 'post',
		data: data
	});
}

// 修改成品生产入库
export function updatePut(data) {
	return request({
		url: '/wms/put',
		method: 'put',
		data: data
	});
}

// 删除成品生产入库
export function delPut(id) {
	return request({
		url: '/wms/put/' + id,
		method: 'delete'
	});
}
